package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskFinishDataListRequestToCondition(req *http_model.SpecialTaskFinishDataListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
